$(document).ready(function(){

    $(".btn-detalle-pedido").on('click', function(e){
        e.preventDefault();

        var id_pedido = $(this).data('id');
        var path = $(this).data('path');
        var token = $(this).data('token');
        var modal_title = $(".modal-title");
        var modal_body = $(".modal-body");
        var loading = '<p><i class="fa fa-circle-o-notch fa-spin"></i> Cargando datos</p>';
        var table = $("#table-detalle-pedido tbody");
        var data = {'_token' : token, 'order_id' : id_pedido};

        modal_title.html('Detalle del Pedido: ' + id_pedido);
        table.html(loading);

        $.post(
            path,
            data,
            function(data){
                //console.log(response);
                table.html("");
                
                for(var i=0; i<data.length; i++){
                    
                    var fila = "<tr>";
                    fila += "<td>" + data[i].product.name + "</td>";
                    fila += "<td>" + data[i].product.codigo + "</td>";
                    fila += "<td>" + parseInt(data[i].quantity) + "</td>";
                    fila += "<td>$ " + parseFloat(data[i].price).toFixed(2) + "</td>";
                    /*fila += "<td>" + parseInt(data[i].discount) + "%</td>";
                    fila += "<td>$ " + (parseFloat(data[i].quantity) * parseFloat(data[i].price)* ((100 - data[i].discount)/100)).toFixed(2) + "</td>"; */
                    fila += "<td>$ " + (parseFloat(data[i].quantity) * parseFloat(data[i].price)).toFixed(2) + "</td>";
                    
                    fila += "</tr>";
                    
                    table.append(fila);
                }
            },
            'json'
        );

    });

    $(".btn-detalle-dom").on('click', function(e){
        e.preventDefault();

        var id_pedido = $(this).data('id');
        var path = $(this).data('path');
        var token = $(this).data('token');
        var modal_title = $(".modal-title");
        var modal_body = $(".modal-body");
        var loading = '<p><i class="fa fa-circle-o-notch fa-spin"></i> Cargando datos</p>';
        var table = $("#table-detalle-pedido tbody");
        var data = {'_token' : token, 'order_id' : id_pedido};

        modal_title.html('Detalle del Pedido: ' + id_pedido);
        table.html(loading);

        $.post(
            path,
            data,
            function(data){
                //console.log(response);
                table.html("");
                
                for(var i=0; i<data.length; i++){
                    
                    var fila = "<tr>";
                    fila += "<td>" + parseInt(data[i].quantity) + "</td>";
                    fila += "<td>" + data[i].product.name + "</td>";
                    fila += "<td>$ " + parseFloat(data[i].price).toFixed(2) + "</td>";
                    fila += "<td>$ " + (parseFloat(data[i].quantity) * parseFloat(data[i].price)).toFixed(2) + "</td>";           
                    fila += "<td>" + data[i].comments + "</td>";
                    fila += "</tr>";
                    
                    table.append(fila);
                }
            },
            'json'
        );

    });
 
    $(".btn-fechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
                
        window.location.href = url + "/admin/orderdates/" + fechainicio + "/" + fechafinal

 
    }); 

    $(".btn-fechasped").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();

        $("#fromdate").css('background', 'white');
        $("#todate").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/admin/orderdatesped/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
                
    });

    $(".btn-fechasinv").click(function(e){ 
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdatei").val();
        var fechafinal = $("#todatei").val();

        $("#fromdatei").css('background', 'white');
        $("#todatei").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdatei").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todatei").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/fechasinv/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
                
    });

    $(".btn-inventoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/fechasinv/" + fechainicio + "/" + fechafinal
    });

    $(".btn-taskfecha").click(function(e){ 
        e.preventDefault();
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var filtro = $(this).data('filtro');
        var fecha = $("#datetask").val();
        
        $("#datetask").css('background', 'white');
        if(fecha==""){
            $("#datetask").css('background', 'yellow');
        } else { 
            window.location.href = url + "/task/" + fecha + "/" + origen + "/" + filtro
        }
    });

    $(".btn-tasktoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var filtro = $(this).data('filtro');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fecha = strDate;
                        
        window.location.href = url + "/task/" + fecha + "/" + origen + "/" + filtro
    });

    $(".btn-indexprel").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var origen = $(this).data('origen');
                                
        window.location.href = url + "/indexprel/" + origen
    });

    $(".btn-extrasinv").click(function(e){ 
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate1").val();
        var fechafinal = $("#todate1").val();

        $("#fromdate1").css('background', 'white');
        $("#todate1").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate1").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate1").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/extrasinv/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
                
    });

    $(".btn-extrasinvtoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/extrasinv/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechashoja").click(function(e){ 
        e.preventDefault();
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var fechainicio= $("#fromdatei").val();
        var fechafinal = $("#todatei").val();

        $("#fromdatei").css('background', 'white');
        $("#todatei").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdatei").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todatei").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/fechashoja/" + fechainicio + "/" + fechafinal+ "/" + origen
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
    });

    $(".btn-hojatoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/fechashoja/" + fechainicio + "/" + fechafinal+ "/" + origen
    });

    $(".btn-cashadmintoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/admin/orderdatesped/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechainv").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
                        
        $("#fromdate").css('background', 'white');
        if(fechainicio==""){
            $("#fromdate").css('background', 'yellow');
        } else { 
            window.location.href = url + "/inventario/" + fechainicio
        }
    });

    $(".btn-extrafechainv").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        
        $("#fromdate").css('background', 'white');
        if(fechainicio==""){
            $("#fromdate").css('background', 'yellow');
        } else { 
            window.location.href = url + "/extrafechainv/" + fechainicio
        }
    });

    $(".btn-fechasplatostoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/orderdatesplatos/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasplatos").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate3").val();
        var fechafinal = $("#todate3").val();

        $("#fromdate3").css('background', 'white');
        $("#todate3").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate3").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate3").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/orderdatesplatos/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
    
    });

    $(".btn-fechasmeseroplatostoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/orderdatesmesplatos/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasmeseroplatos").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate4").val();
        var fechafinal = $("#todate4").val();

        $("#fromdate4").css('background', 'white');
        $("#todate4").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate4").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate4").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/orderdatesmesplatos/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
 
    });

    $(".btn-borradostoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/admin/borrados/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasborrados").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate5").val();
        var fechafinal = $("#todate5").val();

        $("#fromdate5").css('background', 'white');
        $("#todate5").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate5").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate5").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/admin/borrados/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
                
    });

    $(".btn-ventaspordiatoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/admin/ventaspordia/" + fechainicio + "/" + fechafinal
    });
    
    $(".btn-ventaspordia").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate1").val();
        var fechafinal = $("#todate1").val();

        $("#fromdate1").css('background', 'white');
        $("#todate1").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate1").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate1").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/admin/ventaspordia/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
 
    });

    $(".btn-listaspordia").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate1").val();
        var fechafinal = $("#todate1").val();

        $("#fromdate1").css('background', 'white');
        $("#todate1").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate1").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate1").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/admin/listaspordia/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }


        
 
    });

    $(".btn-listastoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/admin/listaspordia/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasmeserotoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/admin/datesmesero/" + fechainicio + "/" + fechafinal
    });

    $(".btn-fechasmesero").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate2").val();
        var fechafinal = $("#todate2").val();
                
        $("#fromdate2").css('background', 'white');
        $("#todate2").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate2").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate2").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/admin/datesmesero/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
 
    });

    $(".btn-meserosell").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
        var usuario = $(this).data('usuario');
                
        window.location.href = url + "/meserosell/" + fechainicio + "/" + fechafinal + "/" + usuario

 
    });

    $(".btn-fechastickets").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate4").val();
        var fechafinal = $("#todate4").val();
                
        window.location.href = url + "/admin/datestickets/" + fechainicio + "/" + fechafinal

 
    });

    $(".btn-cashfechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
                
        $("#fromdate").css('background', 'white');
        $("#todate").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/cashhistory/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
    });

    $(".btn-cashtoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/cashhistory/" + fechainicio + "/" + fechafinal
    });

    $(".btn-domfechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdom").val();
        var fechafinal = $("#todom").val();
                
        $("#fromdom").css('background', 'white');
        $("#todom").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdom").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todom").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/domhistory/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }
 
    });

    $(".btn-domtoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/domhistory/" + fechainicio + "/" + fechafinal
    });

    $(".btn-domrechazar").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var id = $(this).data('id');
        var motivo = $("#motivo").val();
                
        window.location.href = url + "/domrechazar/" + id + "/" + motivo
    });

    $(".btn-ventasfechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate").val();
        var fechafinal = $("#todate").val();
                
        $("#fromdate").css('background', 'white');
        $("#todate").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/ventasfechas/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }

    });

    $(".btn-ventastoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/ventasfechas/" + fechainicio + "/" + fechafinal
    });

    $(".btn-extrafechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromextra").val();
        var fechafinal = $("#toextra").val();
                
        window.location.href = url + "/extra/" + fechainicio + "/" + fechafinal

 
    });

    $(".btn-extratoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/extra/" + fechainicio + "/" + fechafinal

 
    });

    $(".btn-expensetoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/expense/" + fechainicio + "/" + fechafinal
    });

    $(".btn-expensefechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate2").val();
        var fechafinal = $("#todate2").val();
                
        $("#fromdate2").css('background', 'white');
        $("#todate2").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate2").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate2").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/expense/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }

    });

    $(".btn-salarytoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/salary/" + fechainicio + "/" + fechafinal
    });

    $(".btn-salaryfechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate3").val();
        var fechafinal = $("#todate3").val();
                
        $("#fromdate3").css('background', 'white');
        $("#todate3").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate3").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate3").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/salary/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }

    });
    
    $(".btn-loantoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/loan/" + fechainicio + "/" + fechafinal
    });

    $(".btn-loanfechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate5").val();
        var fechafinal = $("#todate5").val();
                
        $("#fromdate5").css('background', 'white');
        $("#todate5").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate5").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate5").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/loan/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }

    });

    $(".btn-balancetoday").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fechainicio= strDate;
        var fechafinal = strDate;
                
        window.location.href = url + "/balance/" + fechainicio + "/" + fechafinal
    });

    $(".btn-balancefechas").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var fechainicio= $("#fromdate4").val();
        var fechafinal = $("#todate4").val();
                 
        $("#fromdate4").css('background', 'white');
        $("#todate4").css('background', 'white');
        if(fechainicio=="" || fechafinal =="" ){
            if(fechainicio==""){
                $("#fromdate4").css('background', 'yellow');
            }
            if(fechafinal==""){
                $("#todate4").css('background', 'yellow');
            }
        } else { 
            if (fechainicio <= fechafinal){  
                window.location.href = url + "/balance/" + fechainicio + "/" + fechafinal
            } else { 
                alert("La fecha de inicio debe ser anterior a la fecha final");   
            }
        }

    });
 
    /*$(".chale").on('focus', function(){
        document.getElementById("enviar").style.visibility = "hidden";
    });

    $(".chale").on('blur', function(){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var agre = $("#agregado_" + id).val();
        var comm = $("#comment_" + id).val();
        var cantidad = $("#product_" + id).val();
        var price = $("#price_" + id).val();
        if(comm == ''){
            comm = "-";
        }
        window.location.href = url + "/cart/update/" + id + "/" + cantidad + "/" + comm + "/" + price + "/" + agre
    });*/
 
    $(".btn-update-item").click(function(e){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var indice = $(this).data('indice');
        
        var comm = $("#comment_" + indice).val();
        var cantidad = $("#product_" + indice).val();
        var price = $("#price_" + indice).val();
        var incluye = $("#incluye_" + indice).val();
        if(comm == ''){
            comm = "-";
        }
        comm = comm.replace(/[/]/g,'-');
        comm = comm.replace(/%/g,' por ciento');
        window.location.href = url + "/cart/update/" + id + "/" + cantidad + "/" + comm + "/" + price + "/" + incluye + "/" + indice
    });

    
     $(".btn-update-itemoffline").click(function(e){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var agre = $("#agregado_" + id).val();
        var comm = $("#comment_" + id).val();
        var cantidad = $("#product_" + id).val();
        var price = $("#price_" + id).val();
        if(comm == ''){
            comm = "-";
        }
        window.location.href = url + "/cart/updateoffline/" + id + "/" + cantidad + "/" + comm + "/" + price + "/" + agre
    });

    $(".filtrox").change(function(){
        var filtro = $("#filtroxd").val();
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fecha = strDate;
                        
            window.location.href = url + "/task/" + fecha + "/" + origen + "/" + filtro
   
    });

    $(".filtroxlist").change(function(){
        var filtro = $("#filtroxdlist").val();
        var url = $(this).data('url');
               
        var myDate = new Date();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            m = m > 9 ? m : "0"+m;
            d = d > 9 ? d : "0"+d;
        var strDate =(myDate.getFullYear() +'-'+ m) +'-'+ d;
        var fecha = strDate;
                        
            window.location.href = url + "/tasklist/" + filtro
   
    });

    $(".btn-addtask").click(function(e){
        e.preventDefault();
            var task = $("#task").val(); 
            var area = $("#area").val(); 
            var url = $(this).data('url');
            var filtro = $(this).data('filtro');
            task = task.replace(/[/]/g,'-');
            task = task.replace(/%/g,' por ciento'); 
            window.location.href = url + "/addtask/" + task + "/" + area + "/" + filtro
    });
    
   $(".btn-deletetask").click(function(e){
        e.preventDefault();
        var r = confirm("¿Está seguro de eliminar la tarea?");
         
        if (r == true) {
        
            var id = $(this).data('id');
            var url = $(this).data('url');
            var filtro = $(this).data('filtro');
            
            window.location.href = url + "/deletetask/" + id  + "/" + filtro
        }
    }); 

    $(".check-task").change(function(){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var filtro = $(this).data('filtro');
        var comm = $("#comment_" + id).val();
        var fecha = $(this).data('fecha');
        if(comm == ''){
            comm = "-";
        }
        comm = comm.replace(/[/]/g,'-');
        comm = comm.replace(/%/g,' por ciento');
        if($("#done_" + id).prop("checked") == true){
            check = 1;
        } else {
            check = 0;
        }
        window.location.href = url + "/settask/" + id + "/" + check + "/" + comm + "/" + fecha + "/" + origen + "/" + filtro 
    });

    $(".verif-task").change(function(){
        var id = $(this).data('id');
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var filtro = $(this).data('filtro');
        var comm = $("#commverif_" + id).val();
        var fecha = $(this).data('fecha');
        if(comm == ''){
            comm = "-";
        }
        comm = comm.replace(/[/]/g,'-');
        comm = comm.replace(/%/g,' por ciento');
        if($("#verif_" + id).prop("checked") == true){
            check = 1;
        } else {
            check = 0;
        }
        window.location.href = url + "/veriftask/" + id + "/" + check + "/" + comm + "/" + fecha + "/" + origen + "/" + filtro
    });


    $(".btn-set-task").click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var filtro = $(this).data('filtro');
        var comm = $("#comment_" + id).val();
        var fecha = $(this).data('fecha');
        if(comm == ''){
            comm = "-";
        }
        comm = comm.replace(/[/]/g,'-');
        comm = comm.replace(/%/g,' por ciento');
        if($("#done_" + id).prop("checked") == true){
            check = 1;
        } else {
            check = 0;
        }
        window.location.href = url + "/settask/" + id + "/" + check + "/" + comm + "/" + fecha + "/" + origen + "/" + filtro
    });

    $(".btn-setverif-task").click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        var url = $(this).data('url');
        var origen = $(this).data('origen');
        var filtro = $(this).data('filtro');
        var comm = $("#commverif_" + id).val();
        var fecha = $(this).data('fecha');
        if(comm == ''){
            comm = "-";
        }
        comm = comm.replace(/[/]/g,'-');
        comm = comm.replace(/%/g,' por ciento');
        if($("#verif_" + id).prop("checked") == true){
            check = 1;
        } else {
            check = 0;
        }
        window.location.href = url + "/veriftask/" + id + "/" + check + "/" + comm + "/" + fecha + "/" + origen + "/" + filtro
    }); 

    $(".btn-addreporte").click(function(e){
        e.preventDefault();
            var reporte = $("#reporte").val(); 
            var url = $(this).data('url');  
            reporte = reporte.replace(/[/]/g,'-');
            reporte = reporte.replace(/%/g,' por ciento');           
            window.location.href = url + "/addreporte/" + reporte
    });

    $(".btn-addconcepto").click(function(e){
        e.preventDefault();
            var concepto = $("#concepto").val(); 
            var url = $(this).data('url');
            
            window.location.href = url + "/addconcepto/" + concepto
    });

    $(".btn-deleteconcepto").click(function(e){
        e.preventDefault();
        var r = confirm("¿Está seguro de eliminar el concepto?");
         
        if (r == true) {
        
            var id = $(this).data('id');
            var url = $(this).data('url');
            
            window.location.href = url + "/deleteconcepto/" + id
        }
    }); 

    $(".btn-addempleadosal").click(function(e){
        e.preventDefault();
            var name = $("#name").val(); 
            var comments = $("#comments").val();
            var url = $(this).data('url');
            
            window.location.href = url + "/addempleadosal/" + name + "/"  + comments
    });

    $(".btn-deleteempleadosal").click(function(e){
        e.preventDefault();
        var r = confirm("¿Está seguro de eliminar el concepto?");
         
        if (r == true) {
        
            var id = $(this).data('id');
            var url = $(this).data('url');
            
            window.location.href = url + "/deleteempleadosal/" + id
        }
    });
            
   $(".cartdel").click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        var indice = $(this).data('indice');
        var url = $(this).data('url');
                
        window.location.href = url + "/cart/delete/" + id + "/"  + indice
    }); 

   $(".cartdomdel").click(function(e){
        e.preventDefault();
        var r = confirm("¿Está segur@ de quitar este producto del pedido?");
        if (r == true) {
            var id = $(this).data('id');
            var indice = $(this).data('indice');
            var url = $(this).data('url');
            var agre = $("#agregado_" + indice).val();
        
            window.location.href = url + "/dom/delete/" + id + "/"  + agre + "/"  + indice
        }
    });
   

   $(".cartdeloffline").click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        var url = $(this).data('url');
        var agre = $("#agregado_" + id).val();
        
        window.location.href = url + "/cart/deleteoffline/" + id + "/"  + agre
    });

    $(".cartstore").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        //función que realiza la busqueda
        
        //obtenemos el valor insertado a buscar
        buscar="$0.00";
        //utilizamos esta variable solo de ayuda y mostrar que se encontro
        encontradoResultado=false;
        //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
        $("#miTabla tr").find('td:eq(6)').each(function () {
                //obtenemos el codigo de la celda
                cod = $(this).html();
                codigo = cod.trim();
                //comparamos para ver si el código es igual a la busqueda
                if(codigo==buscar){
                    encontradoResultado=true;
                }
            //si no se encontro resultado mostramos que no existe.
        });
        if (encontradoResultado){
                alert("Algún producto tiene precio cero");
        }else{
                buscar1="Mojar";
                buscar2="Otros";
                buscar3="Huach";
                //utilizamos esta variable solo de ayuda y mostrar que se encontro
                encontradoResultado=false;
                //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
                $("#miTabla tr").find('td:eq(0)').each(function () {
                //obtenemos el codigo de la celda
                    cod = $(this).html();
                
                    codi = cod.trim();
                    codigo = codi.substring(0, 5);
                    //comparamos para ver si el código es igual a la busqueda
                    if((codigo==buscar1)||(codigo==buscar2)||(codigo==buscar3)){
                        encontradoResultado=true;
                        //aqui ya que tenemos el td que contiene el codigo utilizaremos parent para obtener el tr.
                        trDelResultado=$(this).parent();
                        //ya que tenemos el tr seleccionado ahora podemos navegar a las otras celdas con find
                        comentarios=trDelResultado.find('td:eq(1)').html();
                    
                        com1=comentarios.trim();
                        com2=com1.substring(0,16);
                    }
                //si no se encontro resultado mostramos que no existe.
                });
                if (encontradoResultado){
    
                    if((com2=='<input value="" ')|| (com2=='<input value="-"')){
                        alert("En comentarios escriba el platillo en caso de OTROS o el TAMAÑO en caso de MOJARRA o HUACHINANGO");
                    }else{
                        //window.location.href = url + "/sales"
                        window.location.href = url + "/cart/store"
                    }
                }else{

                    window.location.href = url + "/cart/store"

                }
                    

        }
            
    }); 

    

    $(".cartdomstore").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        var name = $("#name").val();
        var wa = $("#wa").val();
        var address = $("#address").val();
       
        mess = name + address;
        message = mess.split(' ').join('%20')

        $("#name").css('background', 'white');
        $("#address").css('background', 'white');
        if(name=="" || wa =="" || address ==""){
            if(name==""){
                $("#name").css('background', 'yellow');
            }
            if(name==""){
                $("#wa").css('background', 'yellow');
            }
            if(address==""){
                $("#address").css('background', 'yellow');
            }
        } else { 
            
  
        //función que realiza la busqueda
        
        //obtenemos el valor insertado a buscar
        buscar="$0.00";
        //utilizamos esta variable solo de ayuda y mostrar que se encontro
        encontradoResultado=false;
        //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
        $("#miTabla tr").find('td:eq(6)').each(function () {
                //obtenemos el codigo de la celda
                cod = $(this).html();
                codigo = cod.trim();
                //comparamos para ver si el código es igual a la busqueda
                if(codigo==buscar){
                    encontradoResultado=true;
                }
            //si no se encontro resultado mostramos que no existe.
        });
        if (encontradoResultado){
                alert("Algún producto tiene precio cero");
        }else{
                buscar1="Mojar";
                buscar2="Otros";
                buscar3="Huach";
                //utilizamos esta variable solo de ayuda y mostrar que se encontro
                encontradoResultado=false;
                //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
                $("#miTabla tr").find('td:eq(0)').each(function () {
                //obtenemos el codigo de la celda
                    cod = $(this).html();
                
                    codi = cod.trim();
                    codigo = codi.substring(0, 5);
                    //comparamos para ver si el código es igual a la busqueda
                    if((codigo==buscar1)||(codigo==buscar2)||(codigo==buscar3)){
                        encontradoResultado=true;
                        //aqui ya que tenemos el td que contiene el codigo utilizaremos parent para obtener el tr.
                        trDelResultado=$(this).parent();
                        //ya que tenemos el tr seleccionado ahora podemos navegar a las otras celdas con find
                        comentarios=trDelResultado.find('td:eq(1)').html();
                    
                        com1=comentarios.trim();
                        com2=com1.substring(0,16);
                    }
                //si no se encontro resultado mostramos que no existe.
                });
                if (encontradoResultado){
    
                    if((com2=='<input value="" ')|| (com2=='<input value="-"')){
                        alert("En comentarios escriba el platillo en caso de OTROS o el TAMAÑO en caso de MOJARRA o HUACHINANGO");
                    }else{
                        //window.location.href = url + "/sales"
                        window.location.href = url + "/cartdom/store/" + name + "/"  + wa + "/"  + address 
                    }
                }else{
                    window.location.href = url + "/cartdom/store/" + name + "/"  + wa + "/"  + address 
                    //window.location.href = 'https://api.whatsapp.com/send?phone=' + number + '&text=%20' + message
                    

                }
                    

        }

        }
            
    });

    $(".cartstoreajeno").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        //función que realiza la busqueda
        
        //obtenemos el valor insertado a buscar
        buscar="$0.00";
        //utilizamos esta variable solo de ayuda y mostrar que se encontro
        encontradoResultado=false;
        //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
        $("#miTabla tr").find('td:eq(6)').each(function () {
                //obtenemos el codigo de la celda
                cod = $(this).html();
                codigo = cod.trim();
                //comparamos para ver si el código es igual a la busqueda
                if(codigo==buscar){
                    encontradoResultado=true;
                }
            //si no se encontro resultado mostramos que no existe.
        });
        if (encontradoResultado){
                alert("Algún producto tiene precio cero");
        }else{
                buscar1="Mojar";
                buscar2="Otros";
                buscar3="Huach";
                //utilizamos esta variable solo de ayuda y mostrar que se encontro
                encontradoResultado=false;
                //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
                $("#miTabla tr").find('td:eq(0)').each(function () {
                //obtenemos el codigo de la celda
                    cod = $(this).html();
                
                    codi = cod.trim();
                    codigo = codi.substring(0, 5);
                    //comparamos para ver si el código es igual a la busqueda
                    if((codigo==buscar1)||(codigo==buscar2)||(codigo==buscar3)){
                        encontradoResultado=true;
                        //aqui ya que tenemos el td que contiene el codigo utilizaremos parent para obtener el tr.
                        trDelResultado=$(this).parent();
                        //ya que tenemos el tr seleccionado ahora podemos navegar a las otras celdas con find
                        comentarios=trDelResultado.find('td:eq(1)').html();
                    
                        com1=comentarios.trim();
                        com2=com1.substring(0,16);
                    }
                //si no se encontro resultado mostramos que no existe.
                });
                if (encontradoResultado){
    
                    if((com2=='<input value="" ')|| (com2=='<input value="-"')){
                        alert("En comentarios escriba el platillo en caso de OTROS o el TAMAÑO en caso de MOJARRA o HUACHINANGO");
                    }else{
                        //window.location.href = url + "/sales"
                        window.location.href = url + "/cart/store"
                    }
                }else{

                    window.location.href = url + "/cart/storeajeno"

                }
                    

        }
            
    }); 

    $(".sale").click(function(e){
        e.preventDefault();
        var url = $(this).data('url');
        //función que realiza la busqueda
            //obtenemos el valor insertado a buscar
            buscar1="Mojar";
            buscar2="Otros";
            buscar3="Huach";
            //utilizamos esta variable solo de ayuda y mostrar que se encontro
            encontradoResultado=false;
            //realizamos el recorrido solo por las celdas que contienen el código, que es la primera
            $("#miTabla tr").find('td:eq(0)').each(function () {
                //obtenemos el codigo de la celda
                cod = $(this).html();
                codi = cod.trim();
                codigo = codi.substring(0, 5);
                //comparamos para ver si el código es igual a la busqueda
                if((codigo==buscar1)||(codigo==buscar2)||(codigo==buscar3)){
                    encontradoResultado=true;
                    //aqui ya que tenemos el td que contiene el codigo utilizaremos parent para obtener el tr.
                    trDelResultado=$(this).parent();
                    //ya que tenemos el tr seleccionado ahora podemos navegar a las otras celdas con find
                    comentarios=trDelResultado.find("td:eq(1)").html();
                }
            //si no se encontro resultado mostramos que no existe.
            });
            if (encontradoResultado){
                alert("Por motivo de precio este pedido se tiene que enviar");
             }else{
                    
                window.location.href = url + "/sales"
            }
            
    });

    $(".indexpdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/admin/orderdatespedpdf/" + from + "/" + to
    });
    
    $(".ventaspordiapdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/admin/ventaspordiapdf/" + from + "/" + to
    });

    $(".datesmeseropdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/admin/datesmeseropdf/" + from + "/" + to
    });

    $(".platospdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/orderdatesplatospdf/" + from + "/" + to
    });

    $(".mesplatospdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/orderdatesmesplatospdf/" + from + "/" + to
    });

    $(".inventarypdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var url = $(this).data('url');
        window.location.href = url + "/inventarypdf/" + from
    });

    $(".historialpdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/historialpdf/" + from + "/" + to
    });

    $(".expensepdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/expensepdf/" + from + "/" + to
    });

    $(".salarypdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/salarypdf/" + from + "/" + to
    });

    $(".balancepdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/balancepdf/" + from + "/" + to
    });

    $(".closegastos").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/closegastos/" + from + "/" + to
    });

    $(".closesalarios").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/closesalarios/" + from + "/" + to
    });

    $(".closebalance").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/closebalance/" + from + "/" + to
    });

    $(".newgasto").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/newgasto/" + from + "/" + to
    });

    $(".newsalario").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/newsalario/" + from + "/" + to
    });
    
    $(".newprestamo").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/newprestamo/" + from + "/" + to
    });

    $(".newextra").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/newextra/" + from + "/" + to
    });

    $(".listaspdf").click(function(e){
        e.preventDefault();
        var from = $(this).data('from');
        var to = $(this).data('to');
        var url = $(this).data('url');
        window.location.href = url + "/admin/listaspdf/" + from + "/" + to
    });

    

    $(".btn-update-domsetting").click(function(e){
        e.preventDefault();
        var id = $(this).data('id');
        var url = $(this).data('url');
        var type = $(this).data('type');
        if (type == "num") {
            var valor = $("#valor_" + id).val();
        } else {
            if (type == "sino") {
                var valor = $("#sino_" + id).val();
            } else {
                var valor = $("#texto_" + id).val();
            }
        }
        var variable = valor;

        window.location.href = url + "/settingdomupdate/" + id + "/" + type + "/" + valor
    });

});